/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package test.uinfo;

import org.dive4elements.artifacts.httpclient.exceptions.ConnectionException;
import org.dive4elements.river.client.shared.exceptions.ServerException;

import test.AbstractBerechnungsartenTester.River;
import test.IFilenameMapper;

/**
 * @author Domenico Nardi Tironi
 *
 */
final class UinfoSalixHistoricalRunner extends UinfoSalixRunner {

    private final double fromPart;
    private final double toPart;
    private final String soundingName;

    public UinfoSalixHistoricalRunner(final IFilenameMapper file, final double from, final double to, final River river, final String scenarioChoice,
            final String soundingName, final double fromPart, final double toPart) throws ConnectionException, ServerException {
        super(file, from, to, river, scenarioChoice);
        this.fromPart = fromPart;
        this.toPart = toPart;
        this.soundingName = soundingName;
    }

    @Override
    protected void makeScenario() throws ConnectionException, ServerException {
        super.feedAndGoSimpleTextInput("scenario_selection", this.getScenarioChoice());

        super.feedAndGoSimpleTextInput("soundings", this.soundingName);

        super.makeKmRange(this.fromPart, this.toPart, "ld_from_part", "ld_to_part");

    }

}
